aboutsummaryrefslogtreecommitdiffstats
path: root/main/isl/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-12 11:03:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-07-12 11:10:14 +0000
commit6e355d19511f7e18b78dad9268b1e63478b3de6f (patch)
tree13d2bc79fdadcc242c4e6a9772b88721f43e9679 /main/isl/APKBUILD
parent2647bd61e602e4e3aca22f558d8a79b11cc8a4d0 (diff)
downloadaports-6e355d19511f7e18b78dad9268b1e63478b3de6f.tar.gz
aports-6e355d19511f7e18b78dad9268b1e63478b3de6f.tar.bz2
aports-6e355d19511f7e18b78dad9268b1e63478b3de6f.tar.xz
main/isl: new aport
cloog ships embedded version, but it has several issues, which this independent packages avoid. An Integer Set Library for the Polyhedral Model http://freecode.com/projects/isl
Diffstat (limited to 'main/isl/APKBUILD')
-rw-r--r--main/isl/APKBUILD59
1 files changed, 59 insertions, 0 deletions
diff --git a/main/isl/APKBUILD b/main/isl/APKBUILD
new file mode 100644
index 0000000000..4aa28ad201
--- /dev/null
+++ b/main/isl/APKBUILD
@@ -0,0 +1,59 @@
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=isl
+pkgver=0.12
+pkgrel=0
+pkgdesc="An Integer Set Library for the Polyhedral Model"
+url="http://freecode.com/projects/isl"
+arch="all"
+license="MIT"
+depends=
+depends_dev="gmp-dev"
+makedepends="$depends_dev"
+replaces="cloog"
+install=""
+subpackages="$pkgname-dev"
+source="ftp://ftp.linux.student.kuleuven.be/pub/people/skimo/isl/isl-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --build=${CBUILD} \
+ --host=${CHOST} \
+ --with-sysroot=${CBUILDROOT} \
+ || return 1
+
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" INSTALL="install -D" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+dev() {
+ default_dev || return 1
+ replaces="cloog-dev"
+ mkdir -p "$subpkgdir"/usr/share/gdb/python/auto-load/usr/lib
+ mv "$pkgdir"/usr/lib/*-gdb.py \
+ "$subpkgdir"/usr/share/gdb/python/auto-load/usr/lib/
+}
+
+md5sums="eaa1968dda763f12dc84e45a892cd428 isl-0.12.tar.bz2"
+sha256sums="11079ec95f9375d4e069735029e031d310baca8e15f18ef94d17676a6ca02410 isl-0.12.tar.bz2"
+sha512sums="410a895bc7bf918302612998b3f76ebc68025d583a99ebad2f25aa006306369a471799d2d025267b2ec59d171449c75c3d7ca49f0f445f29372fba183a9c3ae3 isl-0.12.tar.bz2"